import { CloudOptions } from '../CloudOptions';
import { BaseCloudClient } from './BaseCloudClient';
import { IConnection } from '../connection/IConnection';
import { OnMessageCallback, CloudMessageValue, ISinglePropertyCloudClient } from './ICloudClient';
export declare class SinglePropertyCloudClient extends BaseCloudClient implements ISinglePropertyCloudClient {
    private deviceTopic;
    private thingId;
    private subscription;
    private propertiesCbs;
    private onThingRejection;
    private onThingResponse;
    constructor(connection: IConnection, options: CloudOptions, deviceTopic: string);
    disconnect(): Promise<void>;
    private onThingIdReceived;
    sendProperty(name: string, value: CloudMessageValue, tmp?: number): Promise<void>;
    onPropertyValue<T extends CloudMessageValue>(name: string, cb: OnMessageCallback<T>): void;
    getThing(): Promise<string>;
}
