/// <reference types="node" />
import { CloudMessageValue } from '../client/ICloudClient';
export declare class ArduinoCloudError extends Error {
    code: number;
    constructor(code: number, message: string);
}
export declare function isObject(value: CloudMessageValue): value is object;
export declare function isNumber(value: CloudMessageValue): value is number;
export declare function isString(value: CloudMessageValue): value is string;
export declare function isBoolean(value: CloudMessageValue): value is boolean;
export declare function isArray<T>(value: CloudMessageValue): value is T[];
export declare function isNotAnEmptyObject(value: any): boolean;
export declare function toArrayBuffer(buf: {
    length: number;
}): ArrayBuffer;
export declare function toBuffer(ab: ArrayBuffer): Buffer;
export declare function arrayBufferToBase64(buf: ArrayBuffer): string;
export interface Newable<T> {
    new (...args: any[]): T;
}
